View Issue Details

IDProjectCategoryView StatusLast Update
0007818mantisbtfeaturepublic2019-05-26 01:37
Reporterdlmueller Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0007818: Support for Software-Requirement-Engineering within Mantis
Description

One of the key issues in successful software project management is a sufficient stable and complete set of software requirments. These requirements than can be associated with software features (always a part of Mantis). After implementing the feature, bug reports (i.e. issues) could also be associated to the features or origin requirements.

To support a complete software development process involving the customer, I'd like Mantis to differ between:

  • requirements
  • features (already supported via severity-value "feature-request")
  • bug (already supported, via custom categories and severity)
  • change request

In an abstract way all of these are "issues" that one should could associate with each other. However, requirements seem to me are more stable than normal "bug-issues" since they are fixed when the customer signs the contract. Only official change request should change initial requirments. Often this causes extra budget discussions with the customer.

Additional it would be nice, one could customize some special reports for managment. For example one could define some amount of text for the report prefix and for the report suffix. The for the report body one could use a stored "issue-filter".

In this way a "software requirement specification" could be generated on the fly. For the detailed specification the Wiki-Feature comes into play.

Steps To Reproduce

To follow my rational you could check the following sites:
http://www.gatherspace.com/
http://sysiphus.in.tum.de/

After having a look at GatherSpace.com which focusses on "online requirements management", I thought that Mantis is not that far away from some of the features provided there. See http://www.gatherspace.com/ and use the 30 days free trial for a look. I think the idea is good, but I don't want my data reside on a external site.

See also http://sysiphus.in.tum.de/. Sysiphus is a suite of tools for developing and collaborating over software engineering models. In particular, sysiphus aims at supporting project participants in geographically distributed environments.

TagsNo tags attached.

Activities

blackfox

blackfox

2011-08-24 03:04

reporter   ~0029547

vote for this - would be a great extension of functionality for mantis!

doubleh2003

doubleh2003

2011-08-24 10:03

reporter   ~0029551

vote for it too - and I got one more thing what you should think of too.
The four or even more different issue types (requirement, feature, bug, change request, task, info) will need different workflows too.

It should be possible to define your own workflows (e.g. bug --> new - accepted - in development - implemented - testing - tested - closed; change request --> new - analyse - rejected || posponed || accepted - cost & time estimation - in development - implemented - testing - tested - closed - closed by customer;...)

At the moment it is quite complex to define a lot of different workflows (Workflow Transitions) within mantis.

rca

rca

2012-06-20 13:07

reporter   ~0032128

What issues traceability to requirements/tests concerns, we shared a new plugin on GitHub : https://github.com/mantisbt-plugins/traceability

Issue History

Date Modified Username Field Change
2007-03-12 14:53 dlmueller New Issue
2011-08-24 03:04 blackfox Note Added: 0029547
2011-08-24 10:03 doubleh2003 Note Added: 0029551
2012-06-20 13:07 rca Note Added: 0032128